Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
160 user(s) are online (116 user(s) are browsing Forums)

Members: 0
Guests: 160

more...

Support us!

Headlines

 
  Register To Post  

What do I need to develop w/AmiCygnix?
Just can't stay away
Just can't stay away


See User information
I've installed base package and tools. I've also downloaded
amicygnix-x11-src.lha and I'm guessing this is what I need
to eventually compile my own X11-programs?

If this is the right file: How do I compile it? I have installed
the os4.1 sdk and following the instructions in the readme,
I only get a lot of errors from gcc.

Has anyone actually built the whole package on os 4.1 with
the new sdk? If so, how and where do i get the binaries and
header files?

Also: When I evt. get working libraries, what is the best
way to install them on my system? Do they go in the
SDK: directory or do they go in the Cygnix: directory?
Can anyone come up with an example of how to build
a simple project that uses AmiCygnix and the 4.1 SDK?

Go to top
Re: What do I need to develop w/AmiCygnix?
Quite a regular
Quite a regular


See User information
@alfkil

Quote:

alfkil wrote:
I've installed base package and tools. I've also downloaded
amicygnix-x11-src.lha and I'm guessing this is what I need
to eventually compile my own X11-programs?

If this is the right file: How do I compile it? I have installed
the os4.1 sdk and following the instructions in the readme,
I only get a lot of errors from gcc.


Everything was compiled with the OS4 SDK V51.22. It will not compile with the current SDK without problems. There are no plans to adapt the sources, sorry.

Quote:

Has anyone actually built the whole package on os 4.1 with
the new sdk? If so, how and where do i get the binaries and
header files?

Also: When I evt. get working libraries, what is the best
way to install them on my system? Do they go in the
SDK: directory or do they go in the Cygnix: directory?
Can anyone come up with an example of how to build
a simple project that uses AmiCygnix and the 4.1 SDK?


Because the libraries compiled for AmiCygnix are not compatible with native libs, you have to place your libs in "Cygnix:".
If you want to develop software for AmiCygnix, you should wait for the AmiCygnix SDK, which will be published next. The documentation will explain the necessary things.

Go to top
Re: What do I need to develop w/AmiCygnix?
Home away from home
Home away from home


See User information
@cygnusEd Quote:
It will not compile with the current SDK without problems. There are no plans to adapt the sources, sorry.

This sounds like a big shame, and potentially a long-term problem.

Go to top
Re: What do I need to develop w/AmiCygnix?
Quite a regular
Quite a regular


See User information
@ChrisH

Quote:

ChrisH wrote:
This sounds like a big shame, and potentially a long-term problem.


With the upcoming AmiCygnix-SDK it will be possible to use the current OS4 SDK. The only drawback is, that some libs need the old pthread library from SDK V51.22. If it is not too much work, I will fix this.

If you want to recompile the AmiCygnix base package from scratch, you have to adapt the sources, but I see no reason to do this.
Probably with every new OS4 SDK there will be problems. I cannot adapt all the sources every time - I have to go to work and have to sleep .

Go to top

  Register To Post

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2023 The XOOPS Project